#------------------------------------------------------------------------------------------------------------------------------

#MKScript 脚本指南: http://mkscript.qicaise.com/help.html

# 按 F6 快捷键，启动 MKScript 代码辅助工具。
# 按 F9 快捷键, 运行当前 MKScript 脚本。 (注意: 先保存脚本，然后再按 F9 运行)

# 特别提示： 
# 在 notepad++ 编辑器中，新建一个文件后， 默认没有开启 MKScript 相关的函数提示功能。
# 此时，只需随便输入几个字符，然后点【保存】, 保存后，再输入字符时就会有相应的函数提示。

#------------------------------------------------------------------------------------------------------------------------------


#在【记事本】和【信息】框中同时输出【99乘法表】
#\r\n 表示回车换行

#预处理函数: 可配置 MKScript 脚本加载后自动运行
#mkscript_config_auto_start()

#预处理函数: 初始化MKScript窗口大小
mkscript_window_initial_size(500, 300)

#打开一个【记事本】
run("notepad", "", "", mkSW_SHOW)

#暂停一下: 因为打开【记事本】需要一点时间
sleep(500)


#查找【记事本】窗口
int hWindow = window_find("", "无标题 - 记事本")
 
if hWindow > 0
 
    #找到【记事本】窗口
  
    #如果窗口当前最小化了
    if window_is_iconic(hWindow) == mkTrue
    
        #恢复窗口显示
        window_show(hWindow, mkSW_RESTORE)
    
    endif
 
    #激活窗口
    window_set_active(hWindow)
    
    #暂停 0.5 秒
    sleep(500)
    
else
 
    #没找到【记事本】窗口
 
    #弹出信息提示对话框
    alert("在点【确定】按钮前，先新建一个空白的【文本文档】并打开。\r\n\r\n在点【确定】按钮后的 3 秒内，将焦点移到空白的【记事本】中。")
    
    #暂停 3 秒
    sleep(3000)
 
endif



#定义变量
int m, n

#循环
for m = 1 to 9

    for n = 1 to m
        
        #在 MKScript 【信息框】输出
        print(n + "x" + m + "=" + n * m + " ")
        
        #在记事本中输入        
        input(n + "x" + m + "=" + n * m + " ")
        
        sleep(100)
        
    next
    
    #换行    
    println("")
    
    #在记事本中输入
    input("\n")
    
next


#暂停 1 秒
#sleep(1000)

#响铃 3 声
play_alert_sound(3)

#弹出信息提示对话框
alert("完成")


#退出程序
#exit()